\mode<presentation>

% Requirement
\RequirePackage{tikz}
\RequirePackage{etoolbox}

% Settings
\useinnertheme{scitas}
\useoutertheme{scitas}
\usecolortheme{scitas}

\newif\if@gridMode
\@gridModefalse
\DeclareOption{grid}{\@gridModetrue}
\ProcessOptions

\setbeamertemplate{navigation symbols}{}
\setbeamertemplate{blocks}[rounded][shadow=true]

% % Uncomment the following if you want the sections close to each other in the TOC
% \makeatletter
% \patchcmd{\beamer@sectionintoc}
% {\vfill}
% {\vskip\itemsep}
% {}
% {}
% \makeatother

\setbeamersize{text margin left=2.2cm,text margin right=1em}

\if@gridMode
\setbeamertemplate{background canvas}{%
  \begin{tikzpicture}
    \draw[step=0.5,white!90!black,thin] (0,0) grid (\paperwidth,\paperheight);
    \draw[step=2,white!60!black,thin] (0,0) grid (\paperwidth,\paperheight);
  \end{tikzpicture}}
\fi

\newcommand{\addimage}[4][]{%
  \begin{tikzpicture}[overlay,remember picture]
    \begin{scope}[shift={(current page.south west)}]
      \node[anchor=south west, inner sep=0pt] at (#3, #4) {\includegraphics[#1]{#2}};
%        \node[anchor=north west, font=\scriptsize, text width=#2, align=left] at (#3, #4){#5};
    \end{scope}
  \end{tikzpicture}
}

\newcommand{\intersec}[1]{%
{
  \begin{frame}[plain]
    \begin{tikzpicture}[overlay,remember picture]
      \begin{scope}[shift={(current page.south west)}]
        \node[anchor=south west, inner sep=-0.005cm] at (4cm, 0cm) {\includegraphics[height=9cm]{scitas_theme/figures/#1}};
        \fill[color=greyEPFL, anchor=south west] (4,3.25) rectangle (9.50,4.75);
        \fill[color=redEPFL, anchor=south west] (2,1.55) rectangle (4.00,3.25);
        \fill[color=greyEPFL, anchor=south west] (4,0.00) rectangle (6.25,1.55);
        \node[anchor=west, white,font=\large, align=left] at (4,4.0){\textbf{\secname}};
      \end{scope}
    \end{tikzpicture}
  \end{frame}
}
}
\mode<all>
